import"react";import"../../molecules/RichTextEditor/custom-extensions/AmplifyKit.js";import"../../molecules/RichTextEditor/RichTextEditor.types.js";import"../../_virtual/lodash.js";import"@equinor/subsurface-app-management";import"@microsoft/signalr";import"@tanstack/react-query";import"../../atoms/enums/Environment.js";import"../../atoms/utils/auth_environment.js";import"../TopBar/Notifications/NotificationProvider.js";import"../../providers/AuthProvider/AuthProvider.js";import"../../providers/ReleaseNotesProvider.js";import"../../providers/SideBarProvider.js";import"../../providers/SnackbarProvider/SnackbarProvider.js";import"../../providers/StepperProvider.js";import"../../providers/TableOfContentsProvider.js";import"../../providers/ThemeProvider/ThemeProvider.js";import{shape as r,typography as t}from"../../atoms/style/index.js";import"../../atoms/enums/Errors.js";import"../../atoms/enums/Theme.js";import"../../atoms/enums/SpacingsMode.js";import"html2canvas";import"proj4";import"@equinor/eds-icons";import{Chip as e}from"../../molecules/Chip/Chip.js";import{motion as i}from"framer-motion";import o,{css as a}from"styled-components";import{colors as s}from"../../atoms/style/colors.js";import{spacings as n}from"../../atoms/style/spacings.js";const d=o.div`
  width: 100%;
  border: 1px solid ${s.ui.background__heavy.rgba};
  border-radius: ${r.corners.borderRadius};
  overflow: hidden;
`,l=o.div`
  display: flex;
  background: ${s.ui.background__default.rgba};
  align-items: center;
  width: 100%;
  padding-left: ${n.small};
  outline: 1px solid ${s.ui.background__medium.rgba};
  cursor: pointer;
  > section {
    min-height: 24px;
    align-items: center;
    flex-grow: 1;
    display: flex;
    flex-wrap: wrap;
    gap: ${n.x_small};
    margin: calc(${n.xx_small} + ${n.x_small}) 0
      calc(${n.xx_small} + ${n.x_small}) ${n.small};
  }
  > button:not([data-testid='clear-all-x']) {
    padding: 0 ${n.small} 0 ${n.medium_small};
    display: flex;
    gap: ${n.x_small};
    align-items: center;
    justify-content: center;
    border-left: 1px solid ${s.ui.background__medium.rgba};
    color: ${s.interactive.primary__resting.rgba};
    align-self: stretch;
    span {
      color: ${s.interactive.primary__resting.rgba};
    }

    &:hover {
      background: ${s.interactive.primary__hover_alt.rgba};
    }
  }
  > button[data-testid='clear-all-x'] {
    width: 24px;
    height: 24px;
    border-left: none;
    margin-right: ${n.xx_small};
    &:after {
      width: 24px;
      height: 24px;
    }
  }
  > button:last-child {
    border-left: 1px solid ${s.ui.background__medium.rgba};
    width: 36px;
    padding: 0;
    &:hover {
      background: ${s.interactive.primary__hover_alt.rgba};
    }
  }
`,m=o.input`
  background: transparent;
  width: 0;
  flex-grow: 1;
  padding: 0;
  font-family: 'Equinor', sans-serif;
  font-size: ${t.input.text.fontSize};
  font-weight: ${t.input.text.fontWeight};
  color: ${s.text.static_icons__default.rgba};
  outline: none;
  border: none;
  &::placeholder {
    opacity: 1;
    color: ${s.text.static_icons__tertiary.rgba};
  }
  &::-webkit-search-cancel-button,
  &::-webkit-search-results-button,
  &::-webkit-search-results-decoration {
    display: none;
  }
`,p=o(i.div)`
  border-bottom-left-radius: ${r.corners.borderRadius};
  border-bottom-right-radius: ${r.corners.borderRadius};
  background: ${s.ui.background__default.rgba};
  overflow: hidden;
  > section {
    padding: ${n.medium};
    display: flex;
    flex-direction: column;
    gap: ${n.medium};
    ${({$showClearFilterButton:r})=>{if(r)return a`
          > div:last-child {
            display: grid;
            grid-template-columns: 1fr auto;
            gap: ${n.medium};

            > button {
              align-self: flex-end;
            }
          }
        `}}
  }
`,c=o(e)`
  ${({$tryingToRemove:r})=>{if(r)return a`
        background: ${s.interactive.primary__hover_alt.rgba};
      `}}
`;export{l as Container,p as Content,m as SearchField,c as StyledChip,d as Wrapper};
